//+------------------------------------------------------------------+
//|                                                    localtime.mq4 |
//|                                               Krzysztof Sonierz |
//|                                  krzysztof.sosnierz@topcoders.eu |
//+------------------------------------------------------------------+
#property copyright "Krzysztof Sonierz"
#property link      "krzysztof.sosnierz@topcoders.eu"

// --- Extern variables
extern color  text_color  = Black;
extern int    text_corner = 1;
extern string text_font   = "Fixedsys";
extern int    text_size   = 18;

// --- Global variables
string script_name  = "localtime";
int    labels_count = 0;

//+------------------------------------------------------------------+
void label(int index, string text, int x, int y)
{
    string id = StringConcatenate(script_name, "_object_", index); 
   
    if (ObjectFind(id) == -1) {
    
        ObjectCreate(id, OBJ_LABEL, 0, 0, 0);
        ObjectSet(id, OBJPROP_CORNER, text_corner);
        ObjectSet(id, OBJPROP_XDISTANCE, x);
        ObjectSet(id, OBJPROP_YDISTANCE, y);  
        
        labels_count++;
    }

    ObjectSetText(id, text, text_size, text_font, text_color);       
}
//+------------------------------------------------------------------+
int init()
{
    
}
//+------------------------------------------------------------------+
int deinit()
{
    for (int i = 0; i < labels_count; i++) {
        ObjectDelete(StringConcatenate(script_name, "_object_", i));
    }
    
    WindowRedraw();
}
//+------------------------------------------------------------------+
int start()
{
    while(!IsStopped())
    {
        label(0, TimeToStr(TimeLocal(), TIME_SECONDS), 15, 15);
        // Update chart window
        WindowRedraw();
        // Pass control to the terminal
        Sleep(500);
    }
      
    return(0);
}
//+------------------------------------------------------------------+